# versionbumpr 

Bump the version in your setup.py. Supports direct incrementing as well as custom version numbers.

## Installation

Tested on Python3+, probably works with Python2. 

- `pip3 install versionbumpr`


## Usage

```
usage: commandline.py [-h] [-b {major,minor,hotfix}] [-v V] [-d]
                      path_to_setup_py

Bump your setup.py's release version.

positional arguments:
  path_to_setup_py      Path to your package's setup.py. Required

optional arguments:
  -h, --help            show this help message and exit
  -b {major,minor,hotfix}
                        Type of version bump to perform. Defaults to "minor"
                        unless version (-v) is specified. 
  -v V                  The version number you want to bump your setup.py to.
  -d                    If this flag is provided, the autogenerated
                        [filename].old file will be deleted. Defaults to
                        False.
```

##### Commandline args

`-b`: one of "major", "minor", "hotfix". Defaults to "minor", disregarded if `-v` is provided.
- major:  bump 1.0 to 2.0, 4.3 to 5.0, etc.
- minor:  bump 1.0 to 1.1, 4.3 to 4.4, etc.
- hotfix: bump 1.0 to 1.0.1, 4.3.2 to 4.3.3, etc.

`-v`: Any version number you want. Blindly assumes that it's being provided a version string which conforms with Pypi's requirements. 

`-d`: This script autogenerates a backup of the original input file, but with `.old` appended to the filename. If `-d` is passed, this backup file gets deleted instead of being left behind.